Bug 236107 - x11/dmenu: 4.9 messes with input focus
Summary: x11/dmenu: 4.9 messes with input focus
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mateusz Piotrowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-28 13:30 UTC by Oleh Hushchenkov
Modified: 2019-03-17 20:41 UTC (History)
0 users

See Also:
0mp: maintainer-feedback+


Attachments
Patch (964 bytes, patch)
2019-02-28 14:40 UTC, Oleh Hushchenkov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleh Hushchenkov 2019-02-28 13:30:37 UTC
With version 4.9 input focus is lost after run dmenu.

For details see: https://lists.suckless.org/dev/1902/33272.html
Comment 1 Mateusz Piotrowski freebsd_committer 2019-02-28 14:13:54 UTC
Thanks for your report. I'll try to fix it soon. Could you try if the following commit fixes the issue in your case? 

https://git.suckless.org/dmenu/commit/153aaf88bf9bf5c6c4b118bd871f8cf1eafdcab5.html
Comment 2 Oleh Hushchenkov 2019-02-28 14:38:10 UTC
(In reply to Mateusz Piotrowski from comment #1)

I tried commit

https://git.suckless.org/dmenu/commit/153aaf88bf9bf5c6c4b118bd871f8cf1eafdcab5.html
and it didn't fix the issue.
Comment 3 Oleh Hushchenkov 2019-02-28 14:40:19 UTC
Created attachment 202441 [details]
Patch

As mentioned in dmenu mail list, attached patch fixes this issue for me.
Comment 4 Oleh Hushchenkov 2019-02-28 14:53:19 UTC
Also reverting

https://git.suckless.org/dmenu/commit/377bd37e212b1ec4c03a481245603c6560d0be22.html
helps too.
Comment 5 Mateusz Piotrowski freebsd_committer 2019-03-01 08:36:11 UTC
https://reviews.freebsd.org/D19414
Comment 6 commit-hook freebsd_committer 2019-03-16 18:18:30 UTC
A commit references this bug:

Author: 0mp
Date: Sat Mar 16 18:18:20 UTC 2019
New revision: 495939
URL: https://svnweb.freebsd.org/changeset/ports/495939

Log:
  x11/dmenu: Patch an input focus bug

  Dmenu 4.9 was release with a bug causing problems with input focus. We
  apply a temporary fix while upstream prepares a new release.

  Mailing list discussion: https://lists.suckless.org/dev/1902/33272.html

  PR:		236107
  Submitted by:	Oleh Hushchenkov <o.hushchenkov@gmail.com>
  Reviewed by:	mat
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19414

Changes:
  head/x11/dmenu/Makefile
  head/x11/dmenu/files/
  head/x11/dmenu/files/patch-dmenu.c
Comment 7 Oleh Hushchenkov 2019-03-16 18:49:14 UTC
(In reply to commit-hook from comment #6)
Thank you!
Comment 8 Mateusz Piotrowski freebsd_committer 2019-03-17 20:41:43 UTC
(In reply to Oleh Hushchenkov from comment #7)

Big thanks to YOU for providing all the necessary links and patches :)

Hopefully, upstream is going to release 4.10 or something soon